Component Mismatch with Latest Software (v5.1.7.00)